Bug 105470 - [new port] devel/py-durus: A persistent object storage system for Python
Summary: [new port] devel/py-durus: A persistent object storage system for Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-13 13:10 UTC by dryice
Modified: 2006-11-15 22:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dryice 2006-11-13 13:10:01 UTC
	Attached is the shar file for devel/py-durus. This is a
	persistent object storage system for Python. It will be used
	by a new port qp (coming soon)

Fix: --- attached file begins here ---


--- attached file ends here -----n5oOxaKdtU3bF7J6WokWlXRvnuLy9uwv2UWlXC8j1ny203XV
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/devel/py-durus/
#	/usr/ports/devel/py-durus/distinfo
#	/usr/ports/devel/py-durus/Makefile
#	/usr/ports/devel/py-durus/pkg-descr
#	/usr/ports/devel/py-durus/pkg-plist
#	/usr/ports/devel/py-durus/files
#	/usr/ports/devel/py-durus/files/patch-setup.py
#
echo c - /usr/ports/devel/py-durus/
mkdir -p /usr/ports/devel/py-durus/ > /dev/null 2>&1
echo x - /usr/ports/devel/py-durus/distinfo
sed 's/^X//' >/usr/ports/devel/py-durus/distinfo << 'END-of-/usr/ports/devel/py-durus/distinfo'
XMD5 (Durus-3.5.tar.gz) = d110e05a75df8b0b79919d577441f33d
XSHA256 (Durus-3.5.tar.gz) = 51b6935bf42cbc6b4de6c38bad734392c6edba4aadf9fc1135b40519c9f0f8ab
XSIZE (Durus-3.5.tar.gz) = 51190
END-of-/usr/ports/devel/py-durus/distinfo
echo x - /usr/ports/devel/py-durus/Makefile
sed 's/^X//' >/usr/ports/devel/py-durus/Makefile << 'END-of-/usr/ports/devel/py-durus/Makefile'
X# New ports collection makefile for:	py-durus
X# Date created:		13 Nov 2006
X# Whom:	      		Dryice Liu <dryice@dryice.name>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	durus
XPORTVERSION=	3.5
XCATEGORIES=	devel python
XMASTER_SITES=	http://www.mems-exchange.org/software/durus/ \
X		http://dryice.name/computer/FreeBSD/distfiles/
XDISTNAME=	Durus-${PORTVERSION}
X
XMAINTAINER=	dryice@dryice.name
XCOMMENT=	A persistent object storage system for Python
X
XUSE_PYTHON=	2.4+
XUSE_PYDISTUTILS=	yes
XMAN1=	durus.1
X
X.include <bsd.port.pre.mk>
X
Xpost-install:
X	@ ${INSTALL_MAN} ${WRKSRC}/doc/durus.1 ${MANPREFIX}/man/man1
X
X.if !defined(NOPORTDOCS)
X	@ ${MKDIR} ${DOCSDIR}
X.for docfile in ACKS.txt CHANGES.txt history.py INSTALL.txt LICENSE.txt README.txt doc/FAQ.txt
X	@ ${INSTALL_DATA} ${WRKSRC}/${docfile} ${DOCSDIR}
X.endfor
X.endif
X
X.include <bsd.port.post.mk>
END-of-/usr/ports/devel/py-durus/Makefile
echo x - /usr/ports/devel/py-durus/pkg-descr
sed 's/^X//' >/usr/ports/devel/py-durus/pkg-descr << 'END-of-/usr/ports/devel/py-durus/pkg-descr'
XDurus is a persistent object system for applications written in
Xthe Python programming language.
X
XDurus offers an easy way to use and maintain a consistent collection
Xof object instances used by one or more processes. Access and change
Xof a persistent instances is managed through a cached Connection
Xinstance which includes commit() and abort() methods so that changes
Xare transactional. Durus is best suited to collections of less than a
Xmillion instances with relatively stable state.
X
XWWW:      http://www.mems-exchange.org/software/durus/
END-of-/usr/ports/devel/py-durus/pkg-descr
echo x - /usr/ports/devel/py-durus/pkg-plist
sed 's/^X//' >/usr/ports/devel/py-durus/pkg-plist << 'END-of-/usr/ports/devel/py-durus/pkg-plist'
Xbin/durus
X%%PYTHON_SITELIBDIR%%/durus/error.py
X%%PYTHON_SITELIBDIR%%/durus/client_storage.py
X%%PYTHON_SITELIBDIR%%/durus/logger.py
X%%PYTHON_SITELIBDIR%%/durus/history.py
X%%PYTHON_SITELIBDIR%%/durus/persistent.py
X%%PYTHON_SITELIBDIR%%/durus/connection.py
X%%PYTHON_SITELIBDIR%%/durus/persistent_set.py
X%%PYTHON_SITELIBDIR%%/durus/storage.py
X%%PYTHON_SITELIBDIR%%/durus/btree.py
X%%PYTHON_SITELIBDIR%%/durus/storage_server.py
X%%PYTHON_SITELIBDIR%%/durus/run_durus.py
X%%PYTHON_SITELIBDIR%%/durus/client.py
X%%PYTHON_SITELIBDIR%%/durus/persistent_dict.py
X%%PYTHON_SITELIBDIR%%/durus/serialize.py
X%%PYTHON_SITELIBDIR%%/durus/pack_storage.py
X%%PYTHON_SITELIBDIR%%/durus/__init__.py
X%%PYTHON_SITELIBDIR%%/durus/persistent_list.py
X%%PYTHON_SITELIBDIR%%/durus/file_storage.py
X%%PYTHON_SITELIBDIR%%/durus/convert_file_storage.py
X%%PYTHON_SITELIBDIR%%/durus/utils.py
X%%PYTHON_SITELIBDIR%%/durus/error.pyc
X%%PYTHON_SITELIBDIR%%/durus/client_storage.pyc
X%%PYTHON_SITELIBDIR%%/durus/logger.pyc
X%%PYTHON_SITELIBDIR%%/durus/history.pyc
X%%PYTHON_SITELIBDIR%%/durus/persistent.pyc
X%%PYTHON_SITELIBDIR%%/durus/connection.pyc
X%%PYTHON_SITELIBDIR%%/durus/persistent_set.pyc
X%%PYTHON_SITELIBDIR%%/durus/storage.pyc
X%%PYTHON_SITELIBDIR%%/durus/btree.pyc
X%%PYTHON_SITELIBDIR%%/durus/storage_server.pyc
X%%PYTHON_SITELIBDIR%%/durus/run_durus.pyc
X%%PYTHON_SITELIBDIR%%/durus/client.pyc
X%%PYTHON_SITELIBDIR%%/durus/persistent_dict.pyc
X%%PYTHON_SITELIBDIR%%/durus/serialize.pyc
X%%PYTHON_SITELIBDIR%%/durus/pack_storage.pyc
X%%PYTHON_SITELIBDIR%%/durus/__init__.pyc
X%%PYTHON_SITELIBDIR%%/durus/persistent_list.pyc
X%%PYTHON_SITELIBDIR%%/durus/file_storage.pyc
X%%PYTHON_SITELIBDIR%%/durus/convert_file_storage.pyc
X%%PYTHON_SITELIBDIR%%/durus/utils.pyc
X%%PYTHON_SITELIBDIR%%/durus/_persistent.so
X%%PORTDOCS%%%%DOCSDIR%%/ACKS.txt
X%%PORTDOCS%%%%DOCSDIR%%/CHANGES.txt
X%%PORTDOCS%%%%DOCSDIR%%/FAQ.txt
X%%PORTDOCS%%%%DOCSDIR%%/history.py
X%%PORTDOCS%%%%DOCSDIR%%/INSTALL.txt
X%%PORTDOCS%%%%DOCSDIR%%/LICENSE.txt
X%%PORTDOCS%%%%DOCSDIR%%/README.txt
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X
END-of-/usr/ports/devel/py-durus/pkg-plist
echo c - /usr/ports/devel/py-durus/files
mkdir -p /usr/ports/devel/py-durus/files > /dev/null 2>&1
echo x - /usr/ports/devel/py-durus/files/patch-setup.py
sed 's/^X//' >/usr/ports/devel/py-durus/files/patch-setup.py << 'END-of-/usr/ports/devel/py-durus/files/patch-setup.py'
X--- setup.py.orig	Wed Aug 16 01:24:55 2006
X+++ setup.py	Fri Nov 10 17:39:51 2006
X@@ -2,11 +2,11 @@
X $URL: svn+ssh://svn.mems-exchange.org/repos/trunk/durus/setup.py $
X $Id: setup.py 28588 2006-08-15 17:11:08Z dbinger $
X """
X-try:
X-    import setuptools
X-    used = setuptools # to quiet import checker.
X-except ImportError:
X-    pass
X+# try:
X+#     import setuptools
X+#     used = setuptools # to quiet import checker.
X+# except ImportError:
X+#     pass
X 
X import os
X from distutils.core import setup
END-of-/usr/ports/devel/py-durus/files/patch-setup.py
exit
Comment 1 Edwin Groothuis freebsd_committer 2006-11-13 13:10:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants to have py- PRs
Comment 2 dfilter service freebsd_committer 2006-11-15 14:31:11 UTC
miwi        2006-11-15 14:18:12 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-durus       Makefile distinfo pkg-descr pkg-plist 
    devel/py-durus/files patch-setup.py 
  Log:
  Durus is a persistent object system for applications written in
  the Python programming language.
  
  Durus offers an easy way to use and maintain a consistent collection
  of object instances used by one or more processes. Access and change
  of a persistent instances is managed through a cached Connection
  instance which includes commit() and abort() methods so that changes
  are transactional. Durus is best suited to collections of less than a
  million instances with relatively stable state.
  
  WWW:      http://www.mems-exchange.org/software/durus/
  
  PR:             ports/105470
  Submitted by:   Dryice Liu <dryice at dryice.name>
  
  Revision  Changes    Path
  1.2513    +1 -0      ports/devel/Makefile
  1.1       +35 -0     ports/devel/py-durus/Makefile (new)
  1.1       +3 -0      ports/devel/py-durus/distinfo (new)
  1.1       +19 -0     ports/devel/py-durus/files/patch-setup.py (new)
  1.1       +11 -0     ports/devel/py-durus/pkg-descr (new)
  1.1       +71 -0     ports/devel/py-durus/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2006-11-15 22:23:15 UTC
State Changed
From-To: open->closed

New port added. Thanks!